PART
{

// --- general parameters ---
name = SWSLSICPSDecoupler
module = Part
author = TheShadow1138

// --- asset parameters ---
MODEL
{
  model = ShadowWorks/Parts/SLSCoreStage/ICPSDecoupler
}
rescaleFactor = 1.0


// --- node definitions ---
node_stack_top = 0.0, 2.424, 0.0, 0.0, 1.0, 0.0, 3
node_stack_bottom = 0.0, -2.424, 0.0, 0.0, -1.0, 0.0, 3
//node_stack_bottom1 = -0.55, 0.0, 0.0, 0.0, 1.0, 0.0, 2

// --- FX definitions ---

fx_gasBurst_white = 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, activate
sound_vent_large = activate
sound_decoupler_fire = decouple

// --- editor parameters ---
TechRequired = composites
entryCost = 8800
cost = 6000
category = Coupling
subcategory = 0
title =Amun-Ra ICPS Decoupler SW-SD-06
description = A sloped stack decoupler (5m - 3.025m) for attaching the ICPS to the Core Stage of the Amun-Ra.

stageOffset = 1
childStageOffset = 1

// attachment rules: stack, srfAttach, allowStack, allowSrfAttach, allowCollision
attachRules = 1,0,1,1,0
stackSymmetry = 1
// --- standard part parameters ---
mass = 0.75
dragModelType = default
maximum_drag = 0.2
minimum_drag = 0.2
angularDrag = 2
crashTolerance = 48
breakingForce = 240
breakingTorque = 240
maxTemp = 3600
fuelCrossFeed = False
tags = decoupler coupling connect interstage core stage sls amun ra amun-ra shadowworks

MODULE
{
    name = ModuleDecouple
	explosiveNodeID = top
    isOmniDecoupler = false
    ejectionForce = 250
}

MODULE
{
	name = ModulePartVariants
	baseVariant = flightOrange
	baseDisplayName = Orange Decoupler

	VARIANT
	{
		name = flightOrange
		displayName = Orange Decoupler

		primaryColor = #984918
		secondaryColor = #ffffff

		TEXTURE
		{
			_MainTex = ShadowWorks/Parts/SLSCoreStage/SLSCSColor
		}
	}
	VARIANT
	{
		name = whiteDecoupler
		displayName = White Decoupler

		primaryColor = #ffffff
		secondaryColor = #eeeeee

		TEXTURE
		{
			_MainTex = ShadowWorks/Parts/SLSCoreStage/SLSCSColorAlt
		}
	}
}

}
